/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.kafkaconfig;

import static org.apache.kafka.common.requests.FetchMetadata.log;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.support.KafkaHeaders;
import org.springframework.messaging.handler.annotation.Header;
import org.springframework.stereotype.Service;

/**
 *
 * @author omozegieaziegbe
 */
@Service
public class KafkaConsumer {
    
    @KafkaListener(topics = {"transaction", "financial-events"}, groupId = "my-group")
    public void listen(Transaction message, @Header(KafkaHeaders.RECEIVED_TOPIC) String topic) {
        // Process the message
        System.out.printf("Received message: topic = %s, id = %s, type = %s, amount = %s%n", topic, message.getId(), message.getType(), message.getAmount());
        
        log.info("Event on topic={}, payload={}", topic, message);
    }
    
   
}
